Package proton :: Module handlers :: Class IOHandler

[frames] | no frames]

# Class IOHandler

source code

         object --+
                  |
    wrapper.Wrapper --+
                      |
         WrappedHandler --+
                          |
                         IOHandler

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `WrappedHandler`: `add`, `clear` Inherited from `wrapper.Wrapper`: `__del__`, `__delattr__`, `__eq__`, `__getattr__`, `__hash__`, `__ne__`, `__repr__`, `__setattr__` Inherited from `object`: `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Methods
Inherited from `WrappedHandler`: `wrap`

Class Variables
Inherited from `WrappedHandler`: `handlers`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)